/* Responsive Navigation Menu */
(function(selector) {
    var nav = document.querySelector(selector),
        toggle = document.createElement("button");
    toggle.className = "toggle";
    toggle.innerHTML  = "<span class='toggle-box'>"
                      + "<span class='toggle-inner'></span>"
                      + "</span>";
    toggle.addEventListener("click", function(e) {
        if (nav.className.indexOf("collapsed") != -1) {
            nav.className = nav.className.replace("collapsed", "expanded");
        } else {
            nav.className = nav.className.replace("expanded", "collapsed");
        }
    }, false);
    nav.insertBefore(toggle, nav.firstChild);
    nav.className += "collapsed";
})("body > div > nav");

/* Submit forms using XHR */
(function(selector) {
    $(selector).submit(function(e) {
        $.ajax({
            type: 'POST',
            url: $(selector).attr("action"),
            data: $(selector).serialize(),
        })
        .done(function(jqXHR, response) {
            $(selector).html(response)
        })
        .fail(function(jqXHR, response) {
            if (jqXHR.statusCode() == 429) {
                if (jqXHR.getResponseHeader("Retry-After")) {
                    alert("Too many requests from your network. Please try again in "
                        + jqXHR.getResponseHeader("Retry-After") + " seconds.");
                } else {
                    alert("Too many requests from your network. Please try again later.");
                }
            } else {
                alert("Sorry, an error occurred. Please try again, or email me.");
            }
        });
        return false;
    });
})("form.xhr");
